#jinja2: lstrip_blocks: "True"
[Unit]
Description=matrix-repmgr
{% for service in matrix_repmgr_systemd_required_services_list %}
Requires={{ service }}
After={{ service }}
{% endfor %}
{% for service in matrix_repmgr_systemd_wanted_services_list %}
Wants={{ service }}
{% endfor %}
DefaultDependencies=no

[Service]
Type=simple
Environment="HOME={{ matrix_systemd_unit_home_path }}"
ExecStartPre=-{{ matrix_host_command_sh }} -c '{{ matrix_host_command_docker }} kill matrix-repmgr 2>/dev/null || true'
ExecStartPre=-{{ matrix_host_command_sh }} -c '{{ matrix_host_command_docker }} rm matrix-repmgr 2>/dev/null || true'

ExecStart={{ matrix_host_command_docker }} run --rm --name matrix-repmgr \
			--log-driver=none \
			--user={{ matrix_user_uid }}:{{ matrix_user_gid }} \
			--cap-drop=ALL \
			--network={{ matrix_docker_network }} \
			--mount type=bind,source={{ matrix_repmgr_base_path }}/bashrc,target=/var/lib/postgresql/.bashrc,readonly \
			--mount type=bind,source={{ matrix_repmgr_config_path }}/repmgr.conf,target=/etc/repmgr.conf,readonly \
			--mount type=bind,source={{ matrix_repmgr_ssh_path }}/,target=/var/lib/postgresql/.ssh/ \
			--mount type=bind,source={{ matrix_repmgr_base_path }}/matrix-repmgr-init2.sh,target=/matrix-repmgr-init2.sh \
			-p 2222:2222 \
			{% for arg in matrix_repmgr_container_extra_arguments %}
			{{ arg }} \
			{% endfor %}
			{{ matrix_repmgr_docker_image }}

ExecStop=-{{ matrix_host_command_sh }} -c '{{ matrix_host_command_docker }} kill matrix-repmgr 2>/dev/null || true'
ExecStop=-{{ matrix_host_command_sh }} -c '{{ matrix_host_command_docker }} rm matrix-repmgr 2>/dev/null || true'
Restart=on-failure
RestartSec=30
SyslogIdentifier=matrix-repmgr

[Install]
WantedBy=multi-user.target
